Subject: Re: FVWM: FvmwButtons and Keypresses

From: [email-masked]
Date: Sat, 26 Apr 2003 22:53:38 +0200

Please always reply to the mailing list.

On Sat, Apr 26, 2003 at 09:35:11PM +0200, Mario Domgörgen wrote:
> [email-masked] writes:
> 
> > that is hardly what you want.  You can code a hack that should
> > work, though:
> > 
> >   AddToFunc toggle_panel
> >   + I SetEnv px $[pointer.x]
> >   + I SetEnv py $[pointer.y]
> >   + I Next (FvwmButtons, CirculateHit) WarpToWindow $0 $1
> >   + I FakeClick depth 2 press 1 release 1
> >   + I WindowId root WarpToWindow $[px]p $[py]p
> > 
> >   Key f1 a n toggle_panel 30 10
> >                           ^^^^^
> >                             |
> >         Position of panel button in FvwmButtons
> >  
> > This won't work if the panel button is off screen, though.
> 
> The Panel is on-screen so there's no problem there ... :) You forget the
> underline in toggle-panel (takes me some minutes...)

I did not forget it; something must have gone wrong with vi when I
cut the lines from my config file.  I noticed it myself after I
sent the mail.

> and now i can
> toggle the panel on but it slides not back if it is once slided out
> ... :( But for out-sliding it works great! Any ideas to make that code
> do the other half?

As long as the pointer is over the correct window when the
FakeClick command is called, hiding the panel should work too.
Does the panel cover the panel button?  If so, try adding

  + I Next (FvwmButtons, CirculateHit) Raise

between the "Next ..." and the "WindowId ..." lines.  If that
still does not help, check where the pointer ends up by removing
the last line (WindowId ...) so that the pointer is not warped
back to the initial position.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]